WordPress <= 5.2.3 - Stored XSS in Customizer

Affects WordPresses

fixed in version 5.2.4
fixed in version 5.2.4
fixed in version 5.2.4
fixed in version 5.2.4
fixed in version 5.1.3
fixed in version 5.1.3
fixed in version 5.1.3
fixed in version 5.0.7
fixed in version 5.0.7
fixed in version 5.0.7
fixed in version 5.0.7
fixed in version 5.0.7
fixed in version 5.0.7
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.9.12
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.8.11
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.7.15
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.6.16
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.5.19
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.4.20
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.3.21
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.2.25
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.1.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 4.0.28
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.9.29
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.8.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31
fixed in version 3.7.31

References

CVE 2019-17674
URL https://wordpress.org/news/2019/10/wordpress-5-2-4-security-release/
URL https://blog.wpscan.org/wordpress/security/release/2019/10/15/wordpress-524-security-release-breakdown.html

Classification

Type XSS
OWASP Top 10 A7: Cross-Site Scripting (XSS)
CWE CWE-79

Miscellaneous

Original Researcher Evan Ricafort
Views 20625
Verified No
WPVDB ID 9908

Timeline

Publicly Published 2019-10-14 (about 2 months ago)
Added 2019-10-15 (about 2 months ago)
Last Updated 2019-11-28 (14 days ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin